Bug#878211: crtmpserver can not be compilled from source

Sebastian Ramacher sramacher at debian.org
Wed Oct 11 09:40:55 UTC 2017


Hi

On 2017-10-11 12:01:43, root wrote:
> Package: crtmpserver
> Version: 1.0~dfsg-5.3
> Followup-For: Bug #878211
> 
> Dear Maintainer,
> 
> # apt-get source crtmpserver
> Reading package lists... Done
> NOTICE: 'crtmpserver' packaging is maintained in the 'Git' version control system at:
> git://git.debian.org/pkg-multimedia/crtmpserver.git
> Please use:
> git clone git://git.debian.org/pkg-multimedia/crtmpserver.git
> to retrieve the latest (possibly unreleased) updates to the package.
> Need to get 343 kB of source archives.
> Get:1 http://ftp.ru.debian.org/debian stretch/main crtmpserver 1.0~dfsg-5.3 (dsc) [1,983 B]
> Get:2 http://ftp.ru.debian.org/debian stretch/main crtmpserver 1.0~dfsg-5.3 (tar) [312 kB]
> Get:3 http://ftp.ru.debian.org/debian stretch/main crtmpserver 1.0~dfsg-5.3 (dif) [28.7 kB]
> Fetched 343 kB in 0s (1,584 kB/s)
> dpkg-source: info: extracting crtmpserver in crtmpserver-1.0~dfsg
> dpkg-source: info: unpacking crtmpserver_1.0~dfsg.orig.tar.bz2
> dpkg-source: info: unpacking crtmpserver_1.0~dfsg-5.3.debian.tar.xz
> dpkg-source: info: applying 05_dont_Werror.diff
> dpkg-source: info: applying 10_disable_tests_vmtests.diff
> dpkg-source: info: applying 13_disable_lua_config_install.diff
> dpkg-source: info: applying 15_use_system_lua.diff
> dpkg-source: info: applying 16_add_header_install.diff
> dpkg-source: info: applying 18_enable_cmake_find_default_paths.diff
> dpkg-source: info: applying 19_gcc_4_7_compatibility.diff
> dpkg-source: info: applying 20_use_pkgconfig_for_tinyxml.diff
> dpkg-source: info: applying 21_fix_ftbfs_kfreebsd.diff
> dpkg-source: info: applying 22_fix_ftbfs_gcc-6.diff
> W: Download is performed unsandboxed as root as file 'crtmpserver_1.0~dfsg-5.3.dsc' couldn't be accessed by user '_apt'. - pkgAcquire::Run (13: Permission denied)
> 
> 
> cd crtmpserver-1.0~dfsg
> 
> README:
> cd crtmpserver/builders/cmake
> cmake .

The supported interface to build Debian packages is dpkg-buildpackage. Those
instructions for the upstream cmake build system. But as usual with
cmake, the typical build instructions look like where one always creates the
build directory oneself:

mkdir -p builders/cmake
cd builders/cmake
cmake ../..
make

In any case, I don't see a bug in the package here.

Cheers

> But crtmpserver does not have builders/cmake directory!
> 
> Trying git://git.debian.org/pkg-multimedia/crtmpserver.git
> cd crtmpserver
> - the same problem (no builders folder)
> 
> 
> My later (~1.5 years old) compillatiion have got from git or svn source (not from debain git://git.debian.org/pkg-multimedia/crtmpserver.git), and thay had builders/cmake directory and have compilled normally after essential libraries is installed.
> 
> Sorry if this is not for bug report topic.
> 
> 
> -- System Information:
> Debian Release: 9.2
>   APT prefers stable-updates
>   APT policy: (500, 'stable-updates'), (500, 'stable')
> Architecture: amd64 (x86_64)
> 
> Kernel: Linux 4.9.0-4-amd64 (SMP w/5 CPU cores)
> Locale: LANG=en_US.UTF-8, LC_CTYPE=en_US.UTF-8 (charmap=UTF-8), LANGUAGE=en_US:en (charmap=UTF-8)
> Shell: /bin/sh linked to /bin/dash
> Init: systemd (via /run/systemd/system)
> 
> Versions of packages crtmpserver depends on:
> ii  crtmpserver-apps   1.0~dfsg-5.3
> ii  crtmpserver-libs   1.0~dfsg-5.3
> ii  libc6              2.24-11+deb9u1
> ii  libgcc1            1:6.3.0-18
> ii  liblua5.1-0        5.1.5-8.1+b2
> ii  libssl1.0.2        1.0.2l-2
> ii  libstdc++6         6.3.0-18
> ii  libtinyxml2.6.2v5  2.6.2-4
> 
> crtmpserver recommends no packages.
> 
> crtmpserver suggests no packages.
> 
> -- Configuration Files:
> /etc/default/crtmpserver changed:
> ENABLED="yes"
> DAEMON_USER="root"
> DAEMON_ARGS="--daemon"
> DAEMON_CONF="/root/app/crtmpserver/builders/cmake/crtmpserver/crtmpserver.lua"
> 
> /etc/init.d/crtmpserver changed:
> PATH=/sbin:/usr/sbin:/bin:/usr/bin
> DESC="C++ RTMP Server"
> NAME=crtmpserver
> WD_PATH=/root/app/crtmpserver/builders/cmake
> DAEMON=$WD_PATH/crtmpserver/crtmpserver
> DAEMON_ARGS=" --daemon "
> DAEMON_CONF="$WD_PATH/crtmpserver/crtmpserver.lua"
> DAEMON_USER="root"
> PIDFILE=/var/run/$NAME.pid
> SCRIPTNAME=/etc/init.d/$NAME
> ENABLED="no"
> [ -r /etc/default/$NAME ] && . /etc/default/$NAME
> [ -x $DAEMON ] || exit 0
> [ -r $DAEMON_CONF ] || exit 0
> [ $ENABLED = "yes" ] || exit 0
> . /lib/init/vars.sh
> . /lib/lsb/init-functions
> DAEMON_UID=$(getent passwd ${DAEMON_USER} | cut -d":" -f3)
> if [ -z "${DAEMON_UID}" ]; then
> 	echo "Error: User ${DAEMON_USER} does not exist."
> 	exit 1
> fi
> UID_ARG=" --uid=${DAEMON_UID} "
> do_start()
> {
>         cd $WD_PATH
> 	start-stop-daemon --start --quiet --chdir $WD_PATH --pidfile $PIDFILE --exec $DAEMON --test > /dev/null \
> 		|| return 1
> 	start-stop-daemon --start --quiet --chdir $WD_PATH --pidfile $PIDFILE --exec $DAEMON -- \
> 		$DAEMON_ARGS $UID_ARG $DAEMON_CONF \
> 		|| return 2
> }
> do_stop()
> {
> 	start-stop-daemon --stop --quiet --retry=TERM/30/KILL/5 --pidfile $PIDFILE --name $NAME
> 	RETVAL="$?"
> 	[ "$RETVAL" = 2 ] && return 2
> 	start-stop-daemon --stop --quiet --oknodo --retry=INT/30/KILL/5 --exec $DAEMON
> 	[ "$?" = 2 ] && return 2
> 	rm -f $PIDFILE
> 	return "$RETVAL"
> }
> case "$1" in
>   start)
>     log_daemon_msg "Starting $DESC " "$NAME"
>     do_start
>     case "$?" in
> 		0|1) log_end_msg 0 ;;
> 		2) log_end_msg 1 ;;
> 	esac
>   ;;
>   stop)
> 	log_daemon_msg "Stopping $DESC" "$NAME"
> 	do_stop
> 	case "$?" in
> 		0|1) log_end_msg 0 ;;
> 		2) log_end_msg 1 ;;
> 	esac
> 	;;
>   status)
>        status_of_proc "$DAEMON" "$NAME" && exit 0 || exit $?
>        ;;
>   restart)
> 	log_daemon_msg "Restarting $DESC" "$NAME"
> 	do_stop
> 	case "$?" in
> 	  0|1)
> 		do_start
> 		case "$?" in
> 			0) log_end_msg 0 ;;
> 			1) log_end_msg 1 ;; # Old process is still running
> 			*) log_end_msg 1 ;; # Failed to start
> 		esac
> 		;;
> 	  *)
> 	  	# Failed to stop
> 		log_end_msg 1
> 		;;
> 	esac
> 	;;
>   force-reload)
> 	restart
> 	;;
>   *)
> 	echo "Usage: $SCRIPTNAME {start|stop|status|restart}" >&2
> 	exit 3
> 	;;
> esac
> :
> 
> 
> -- no debconf information
> 
> _______________________________________________
> pkg-multimedia-maintainers mailing list
> pkg-multimedia-maintainers at lists.alioth.debian.org
> http://lists.alioth.debian.org/cgi-bin/mailman/listinfo/pkg-multimedia-maintainers

-- 
Sebastian Ramacher
-------------- next part --------------
A non-text attachment was scrubbed...
Name: signature.asc
Type: application/pgp-signature
Size: 833 bytes
Desc: not available
URL: <http://lists.alioth.debian.org/pipermail/pkg-multimedia-maintainers/attachments/20171011/39f14629/attachment-0001.sig>


More information about the pkg-multimedia-maintainers mailing list